package rule

type FActor struct {
}

func (r *FActor) Tick(delta float32) {

}

type FActorRule struct {
	actorList []*FActor
}

func (r *FActorRule) Tick(w IWorld, delta float32) {
	for _, actor := range r.actorList {
		actor.Tick(delta)
	}
}
func (r *FActorRule) GetPriority() RulePriority {
	return EActorRule
}
